var products = [];
var categories = [];
var sub_categories = [];
jQuery(function($){
	$('.in8_saved').hide(0);

	// if get category is clicked
	$(document).on('click', 'li[data-for="get_categories"]', function(){
		if(categories.length == 0){
			getCategories();
		}
	});
	
	$(document).on('click', '#get_all', function(){
		$for = $(this).attr('for');
		if($(this).attr('checked')){
			$('.'+$for).attr('checked', true);
		}else{
			$('.'+$for).attr('checked', false);
		}
	});
	// get sub categories
	$(document).on('click', '.get_sub_cats', function(){
		$cat_id = $(this).attr('data-id');
		if(typeof sub_categories[$cat_id] == 'undefined' || sub_categories[$cat_id].length == 0){
			console.log('========>get_sub_categories for'+ $cat_id);
			showLoading('Loading :: Get Sub Categories');
			$subcats = $(this).closest('.in8_import_list_row').find('.in8_import_list_subcats');
			$subcats.html('');

			$.post(bsu+"?in8_netsuite_subcategories=json", {cat_id: $cat_id}, function(data){
				sub_categories[$cat_id] = data;
				console.log(sub_categories[$cat_id]);
				$subcats.append('<div class="in8_import_list">\
												<div class="in8_import_list_head">\
													<div class="in8_import_list_checkbox">\
														<input type="checkbox" id="get_all" for="get_cat" />\
													</div>\
													<div class="in8_import_list_title">\
														Title\
													</div>\
													<div class="clear"></div>\
												</div>');
				$.each(sub_categories[$cat_id], function(key, cat){
					$subcats.find(".in8_import_list").append("<div class='in8_import_list_row'>\
															<div class='in8_import_list_details'>\
																<div class='in8_import_list_checkbox'><input type='checkbox' name='get_cat_id[]' class='get_cat' value='"+cat['internalId']+"' /></div>\
																<div class='in8_import_list_title'><a href='#' class='get_sub_cats' data-id='"+cat['internalId']+"'>"+cat['itemId']+"</a></div>\
																<div class='in8_import_list_import'><a href='#' class='get_cat_now' data-id='"+cat['internalId']+"'>Import Now</a></div>\
																<div class='clear'></div>\
															</div>\
															<div class='in8_import_list_subcats'></div>\
														</div>");
				});
				hideLoading();
			});
		}
		
		return false;
	});

	//========>tabs functionality
	// change tab
	$('#in8_menu ul li').click(function(){
		if($(this).hasClass('active'))
			return false;

		$for = $(this).attr('data-for');
		window.location.hash = $for;

		// menu functionality
		$('#in8_menu ul li.active').removeClass('active');
		$(this).addClass('active');

		// pages functionality
		$('.in8_page').hide(0);
		$('#in8_page_'+$for).show(0);
	});
	// if the tab is in the link
	$hash = window.location.hash.substr(1);
	if($hash.length > 1){
		$('#in8_menu ul li[data-for='+$hash+']').click();
	}else{
		window.location.hash = 'description';
		$('#in8_menu ul li[data-for=description]').click();
	}

	//=======> forms functionality
	$('.in8_form').submit(function(){
		dates = $(this).serialize();

		$.post(bsu, dates, function(data){
			if(data == 1){
				form_saved();
			}
		});

		return false;
	});


	function getCategories(){
		console.log('========>get_categories');
		showLoading('Loading :: Get Categories');
		$("#categories_list").html("");
		$.post(bsu+"?in8_netsuite_categories=json", {}, function(data){
			categories = data;
			console.log(categories);
			$("#categories_list").append('<div class="in8_import_list">\
											<div class="in8_import_list_head">\
												<div class="in8_import_list_checkbox">\
													<input type="checkbox" id="get_all" for="get_cat" />\
												</div>\
												<div class="in8_import_list_title">\
													Title\
												</div>\
												<div class="clear"></div>\
											</div>');
			$.each(categories, function(key, cat){
				$("#categories_list .in8_import_list").append("<div class='in8_import_list_row'>\
														<div class='in8_import_list_details'>\
															<div class='in8_import_list_checkbox'><input type='checkbox' name='get_cat_id[]' class='get_cat' value='"+cat['internalId']+"' /></div>\
															<div class='in8_import_list_title'><a href='#' class='get_sub_cats' data-id='"+cat['internalId']+"'>"+cat['itemId']+"</a></div>\
															<div class='in8_import_list_import'><a href='#' class='get_cat_now' data-id='"+cat['internalId']+"'>Import Now</a></div>\
															<div class='clear'></div>\
														</div>\
														<div class='in8_import_list_subcats'></div>\
													</div>");
			});
			$("#categories_list").append("</div>");
			hideLoading();
		});
	}

	function showLoading(message){
		if(message != '')
			$('#in8_ajaxCall').text(message);
		$('#in8_ajaxCall').fadeIn(50);
	}
	function hideLoading(){
		$('#in8_ajaxCall').fadeOut();
	}
});
function form_saved(){
	jQuery('.in8_saved').fadeIn(125).delay(1250).fadeOut(125);
}