<?php
	class In8_Sync_Tester{
		public $object = NULL;
		public $object_id = NULL;
		public $key = null;
		
		static function instance($object, $key){
			return new In8_Sync_Tester($object, $key);
		}
		
		public function __construct($object, $key) {
			
			// if it's intager make it work as an object
			if( is_object( $object) ){
				$this->object_id = $object->get_id();
			}else{
				$this->object_id = $object;
			}
			
			$this->object = $object;
			$this->key = $key;
		}
		
		public function test($val){
			return $this->val() == $val;
		}
		public function increment(){
			$val = $this->val();
			$val ++;
			$this->set($val);
		}
		public function set($val){
			if( empty($this->object_id) ) return false;
			update_post_meta($this->object_id,$this->key,$val);
//			$this->object->set_meta($this->key, $val);
		}
		
		public function val(){
			if( empty($this->object_id) ) return false;
			$val = get_post_meta($this->object_id, $this->key, true);
			return empty($val) ? 0 : $val;
		}
		
		public function exists(){
			$temp = $this->val();
			
			return !empty( $temp );
		}
		
		public function delete(){
			if( empty($this->object_id) ) return false;
			delete_post_meta($this->object_id, $this->key);
		}
	}